$(document).ready(function() {
    var color = ["#F17105", "#D11149", "#6610F2", "#177CC5", "#92A500"]; // Couleurs
    var pics = ["asuka", "kumiko", "chitanda", "yohane"]; // Fonds

    var col_rd = "#FFFFFF";
    var pic_rd = "";

    function changeStyle() {
        // On randomise la couleur
        do {
            col_rd = Math.floor(Math.random() * color.length);
        } while( $("header").css("background-color") == hexToRgbA(color[col_rd]) )

        // On randomise l'image
        do {
            pic_rd = Math.floor(Math.random() * pics.length);
        } while( $("div.image").css("background-image") == 'url("ressources/header_bg_crop_'+ pics[pic_rd] +'.png")' )

        // Changement aléatoire de l'image et de la couleur parce que pourquoi pas ?
        $("header").css("background-color", color[col_rd]);
        $("div.image").css("background", 'url("ressources/header_bg_crop_'+ pics[pic_rd] +'.png") 90% 90% / contain no-repeat');
        $(".container a").css("background", color[col_rd]);
        $("hr").css("border-color", color[col_rd]);
        $(".container a").hover(function(){
                $(this).css("background", hexToRgbA(color[col_rd], 0.8));
            }, function(){
                $(this).css("background", hexToRgbA(color[col_rd], 1));
        });

        // Changement de la couleur pour Google Chrome Mobile
        $('meta[name=theme-color]').remove();
        $('head').append('<meta name="theme-color" content="'+ color[col_rd] +'">');
    }

    $( document ).ready(function() {
        // On change le style au chargement de la page et avec le bouton de refresh
        changeStyle();
    });

    function hexToRgbA(hex, opacity = 0) {
        var c;
        if(/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)){
            c= hex.substring(1).split('');
            if(c.length== 3){
                c= [c[0], c[0], c[1], c[1], c[2], c[2]];
            }
            c= '0x'+c.join('');
            if(opacity > 0)
                return 'rgba('+[(c>>16)&255, (c>>8)&255, c&255].join(', ')+','+opacity+')';
            else {
                return 'rgb('+[(c>>16)&255, (c>>8)&255, c&255].join(', ')+')';
            }
        }
        throw new Error('Bad Hex');
    }
});
